# Couenne::exprLBQuad Class Reference

class to compute lower bound of a fraction based on the bounds of both numerator and denominator More...

`#include <CouenneExprBQuad.hpp>`

Inheritance diagram for Couenne::exprLBQuad:

List of all members.

## Public Member Functions
| exprLBQuad (exprQuad *ref)
| Constructor.
| exprLBQuad (const exprLBQuad &src, Domain *d=NULL)
| copy constructor
| ~exprLBQuad ()
| destructor
expression * | clone (Domain *d=NULL) const
| cloning method
CouNumber | operator() ()
| function for the evaluation of the expression
virtual void | print (std::ostream &s=std::cout, bool descend=false) const
| I/O.
## Private Attributes
exprQuad * | ref_
| quadratic form, reference expression

## Detailed Description

class to compute lower bound of a fraction based on the bounds of both numerator and denominator

Definition at line 22 of file CouenneExprBQuad.hpp.

## Constructor & Destructor Documentation

Couenne::exprLBQuad::exprLBQuad | ( | exprQuad * | ref | ) | `[inline]`

Constructor.

Definition at line 29 of file CouenneExprBQuad.hpp.

Referenced by clone().

Couenne::exprLBQuad::exprLBQuad | ( | const exprLBQuad & | src,
|  | Domain * | d = `NULL` |
| ) |  |  | `[inline]`

copy constructor

Definition at line 33 of file CouenneExprBQuad.hpp.

Couenne::exprLBQuad::~exprLBQuad | ( |  | ) | `[inline]`

destructor

Definition at line 39 of file CouenneExprBQuad.hpp.

## Member Function Documentation

expression* Couenne::exprLBQuad::clone | ( | Domain * | d = `NULL` | ) | const`[inline, virtual]`

cloning method

Reimplemented from Couenne::expression.

Definition at line 42 of file CouenneExprBQuad.hpp.

References exprLBQuad().

CouNumber Couenne::exprLBQuad::operator() | ( |  | ) | `[inline, virtual]`

function for the evaluation of the expression

Implements Couenne::expression.

Definition at line 46 of file CouenneExprBQuad.hpp.

References ref_.

virtual void Couenne::exprLBQuad::print | ( | std::ostream & | s = `std::cout`,
|  | bool | descend = `false` |
| ) |  |  | const`[inline, virtual]`

I/O.

Reimplemented from Couenne::expression.

Definition at line 50 of file CouenneExprBQuad.hpp.

References print(), and ref_.

Referenced by print().

## Member Data Documentation

exprQuad* Couenne::exprLBQuad::ref_`[private]`

quadratic form, reference expression

Definition at line 24 of file CouenneExprBQuad.hpp.

Referenced by operator()(), and print().

The documentation for this class was generated from the following file:

- CouenneExprBQuad.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines